## fortunes-mario 0.20

=== livro/Makefile ===
all: booklet_from_pdf

SRCDIR=../
DSTDIR=./

FORTUNES= $(SRCDIR)mario.geral $(SRCDIR)mario.gauchismos $(SRCDIR)mario.anagramas $(SRCDIR)mario.palindromos $(SRCDIR)mario.piadas $(SRCDIR)mario.computadores $(SRCDIR)mario.arteascii

BL_FRENTE='4:-3L@.7(21cm,0)+0L@.7(21cm,14.85cm)'
BL_VERSO='4:1L@.7(21cm,0)+-2L@.7(21cm,14.85cm)'

PSTOPS=pstops
PDFTOPS=pdftops
PSTOPDF=ps2pdf

tex: livro.py $(FORTUNES)
	./livro.py $(FORTUNES)
 
dvi: tex 
	latex $(DSTDIR)mario_fortunes-livro.tex
	latex $(DSTDIR)mario_fortunes-livro.tex
	latex $(DSTDIR)mario_fortunes-livro.tex

ps: dvi
	dvips -o $(DSTDIR)mario_fortunes-livro.ps $(DSTDIR)mario_fortunes-livro.dvi

booklet: ps
	$(PSTOPS) $(BL_FRENTE) $(DSTDIR)mario_fortunes-livro.ps $(DSTDIR)mario_fortunes-booklet-frente.ps
	$(PSTOPS) $(BL_VERSO) $(DSTDIR)mario_fortunes-livro.ps $(DSTDIR)mario_fortunes-booklet-verso.ps

clean:
	rm -f $(DSTDIR)mario_fortunes*.{tex,dvi,ps,toc,aux,idx,log,pdf}
	rm -f $(DSTDIR)texput.log
	rm -f $(DSTDIR)*~
	rm -f *~

pdf: tex 
	pdflatex $(DSTDIR)mario_fortunes-livro.tex
	pdflatex $(DSTDIR)mario_fortunes-livro.tex
	pdflatex $(DSTDIR)mario_fortunes-livro.tex

booklet_from_pdf: pdf
	$(PDFTOPS) -paper A4 $(DSTDIR)mario_fortunes-livro.pdf $(DSTDIR)mario_fortunes-livro.ps
	$(PSTOPS) $(BL_FRENTE) $(DSTDIR)mario_fortunes-livro.ps $(DSTDIR)mario_fortunes-booklet-frente.ps
	$(PSTOPS) $(BL_VERSO) $(DSTDIR)mario_fortunes-livro.ps $(DSTDIR)mario_fortunes-booklet-verso.ps
	$(PSTOPDF) -sPAPERSIZE=a4 $(DSTDIR)mario_fortunes-booklet-frente.ps $(DSTDIR)mario_fortunes-booklet-frente.pdf
	$(PSTOPDF) -sPAPERSIZE=a4 $(DSTDIR)mario_fortunes-booklet-verso.ps $(DSTDIR)mario_fortunes-booklet-verso.pdf


.PHONY: all clean tex dvi ps booklet pdf booklet_from_pdf

=== debian/changelog ===
fortunes-mario (0.20-8) unstable; urgency=low

  * Updated policy to 3.9.4
  * Moved to source version 3.0 (quilt).
  * Changed build method to debhelper.
  * Fix watch file bug.
  * Remove dat files.
  * debian/compat: 
  	- Updated to 9.
  * debian/control:
  	- Updated to debhelper 9.
    - Added Vcs* fileds
  * debian/rules:
    - Simplified rules file using dh*.
  * Fix origin tarball.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Tue, 19 Nov 2013 08:59:04 -0200

fortunes-mario (0.20-7) unstable; urgency=low

  * Re-fix syntax URL of the watch files (Closes: #450248)
  * Added Homepage control field.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Sun, 08 Jun 2008 21:58:18 -0300

fortunes-mario (0.20-6) unstable; urgency=low

  * Fix syntax URL to watch files (closes: #450248)

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Wed, 12 Dec 2007 15:26:31 -0200

fortunes-mario (0.20-5) unstable; urgency=low

  * Fix bug (Closes: 403251) 

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Sun, 22 Apr 2007 18:43:50 -0300

fortunes-mario (0.20-4) unstable; urgency=low

  * Removed control.in and cleaned up rules file since update-control is
    useless now.
  * Move fortune-mod to build-depends-indep field.

 -- Otavio Salvador <otavio@debian.org>  Sun,  1 Oct 2006 00:02:39 -0300

fortunes-mario (0.20-3) unstable; urgency=low

  * Update the packaging, now conforming to policy version 3.7.2
  * Fix Typo corrections (Closes: #305693) 
  * Update address FSF in debian/copyright

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Thu, 20 Jul 2006 16:51:08 -0300

fortunes-mario (0.20-2) UNRELEASED; urgency=low

  * Update the packaging, now conforming to policy version 3.6.2.1.
  * Convert debian/changelog to UTF-8 since this is need to follow Debian
    Policy.
  * Convert to use cdbs for packaging.

 -- Otavio Salvador <otavio@debian.org>  Thu, 25 Aug 2005 21:04:33 -0300

fortunes-mario (0.20-1) unstable; urgency=low

  * New upstream release.
  * Update the packaging, now conforming to policy version 3.6.1.
  * debian/watch:
    - updated to version 2;
    - changed to new location (upstream moved the file).
  * debian/control: change the Standards-Version field to 3.6.1.

 -- Otavio Salvador <otavio@debian.org>  Thu, 30 Oct 2003 12:06:42 -0200

fortunes-mario (0.19-1) unstable; urgency=low

  * New upstream release
  * debian/control: Updated Build-Depends-Indep to depends of
    debhelper >= 4.
  * debian/compat: set the compatibility level to 4.
  * debian/rules: removed the DH_COMPAT variable, moved to debian/compat.

 -- Otavio Salvador <otavio@debian.org>  Sat,  8 Mar 2003 17:23:52 -0300

fortunes-mario (0.18-1) unstable; urgency=low

  * New upstream release
  * Update the packaging, now conforming to policy version 3.5.8

 -- Otavio Salvador <otavio@debian.org>  Thu, 21 Nov 2002 16:26:10 -0200

fortunes-mario (0.17-2) unstable; urgency=low

  * Forgot change the control file for new policy version
  * Added 'debhelper' in Build-Depends-Indep (closes: #164080)

 -- Otavio Salvador <otavio@debian.org>  Thu, 10 Oct 2002 22:47:56 -0300

fortunes-mario (0.17-1) unstable; urgency=low

  * New upstream release
  * Updated the package to policy version 3.5.7

 -- Otavio Salvador <otavio@debian.org>  Mon, 16 Sep 2002 12:48:58 -0300

fortunes-mario (0.16-2) unstable; urgency=low

  * Added the CREDITOS file in package

 -- Otavio Salvador <otavio@debian.org>  Sat, 13 Jul 2002 22:32:24 -0300

fortunes-mario (0.16-1) unstable; urgency=low

  * New upstream release
  * Removed wrong dependency on Build-Depends-Indep of debconf.

 -- Otavio Salvador <otavio@debian.org>  Sat, 13 Jul 2002 19:56:42 -0300

fortunes-mario (0.15-1) unstable; urgency=low

  * New upstream release

 -- Otavio Salvador <otavio@debian.org>  Mon, 20 May 2002 12:59:25 -0300

fortunes-mario (0.14-2) unstable; urgency=low

  * Added 'DICAS' in /usr/share/doc/fortunes-mario.

 -- Otavio Salvador <otavio@debian.org>  Fri, 17 May 2002 13:28:59 -0300

fortunes-mario (0.14-1) unstable; urgency=low

  * New upstream release
    In this version the distribution scheme was change to:
      - mario.anagramas
      - mario.arteascii
      - mario.computadores
      - mario.geral
      - mario.palindromos
      - mario.piadas
    Now this is split in sections because of number of cookies.


 -- Otavio Salvador <otavio@debian.org>  Mon, 29 Apr 2002 13:40:03 -0300

fortunes-mario (0.12-1) unstable; urgency=low

  * New upstream release

 -- Otavio Salvador <otavio@debian.org>  Tue,  9 Apr 2002 14:33:36 -0300

fortunes-mario (0.11-2) unstable; urgency=low

  * removed templates file.

 -- Otavio Salvador <otavio@debian.org>  Thu, 28 Mar 2002 22:27:48 -0300

fortunes-mario (0.11-1) unstable; urgency=low

  * New upstream release

 -- Otavio Salvador <otavio@debian.org>  Wed, 27 Mar 2002 23:28:05 -0300

fortunes-mario (0.10-4) unstable; urgency=low

  * Changed the maintainer to Otavio Salvador <otavio@debian.org> because
    your NM process is complete :-)
  * Removed debconf from dependencies

 -- Otavio Salvador <otavio@debian.org>  Sat, 23 Mar 2002 12:03:51 -0300

fortunes-mario (0.10-3) unstable; urgency=high

  * Removed Debconf script because this violate some rules of Debian
    Policy (closes: #137484, #137649)

 -- Otavio Real Salvador <otavio@freedom.ind.br>  Wed, 13 Mar 2002 14:27:28 -0300

fortunes-mario (0.10-2) unstable; urgency=low

  * (closes: #136347) Added Spanish translation of Debconf questions
    (Thanks to Carlos Valdivia Yagüe <valyag@hotpop.com>).
  * (closes: #136468) Before display a phrase, check if the shell is
    interactive (Thanks to Michel Loos <loos@iq.usp.br>).

 -- Otavio Real Salvador <otavio@freedom.ind.br>  Sat,  2 Mar 2002 14:26:18 -0300

fortunes-mario (0.10-1) unstable; urgency=low

  * New upstream release

 -- Otavio Real Salvador <otavio@freedom.ind.br>  Thu, 14 Feb 2002 11:05:31 -0200

fortunes-mario (0.9-3) unstable; urgency=low



=== debian/control ===
Source: fortunes-mario
Section: games
Priority: optional
Maintainer: Otavio Salvador <otavio@debian.org>
Uploaders: Fernando Ike de Oliveira <fike@midstorm.org>
Build-Depends: debhelper (>= 9.0.0)
Build-Depends-Indep: fortune-mod (>= 1.99.1-6)
Standards-Version: 3.9.4
Homepage: http://github.com/fike/fortunes-mario-deb
Vcs-Git: git://github.com/fike/fortunes-debian-deb.git
Vcs-Browser: http://github.com/fike/fortunes-mario-deb.git

Package: fortunes-mario
Architecture: all
Depends: fortune-mod (>= 1.99.1-6), python, ${misc:Depends}
Provides: fortune-cookie-db
Description: Fortunes files from Mario
 A fortune database for Portuguese speakers, gathered from Mario
 Domenech Goulart. It is the result of collecting cookies for a long
 time to make a great database.

=== debian/rules ===
#!/usr/bin/make -f

%:
	
	dh $@

override_dh_auto_clean:
	rm -f *.dat

override_dh_auto_build:
	find -name "mario.*" -exec strfile {} \;

=== debian/watch ===
version=3
http://githubredir.debian.net/github/fike/fortunes-mario/fortunes-mario-(.*).tar.gz

## fortunes-mario 0.21

=== livro/Makefile ===
--- 
+++ 
@@ -14,8 +14,8 @@
 
 tex: livro.py $(FORTUNES)
 	./livro.py $(FORTUNES)
- 
-dvi: tex 
+
+dvi: tex
 	latex $(DSTDIR)mario_fortunes-livro.tex
 	latex $(DSTDIR)mario_fortunes-livro.tex
 	latex $(DSTDIR)mario_fortunes-livro.tex
@@ -33,7 +33,7 @@
 	rm -f $(DSTDIR)*~
 	rm -f *~
 
-pdf: tex 
+pdf: tex
 	pdflatex $(DSTDIR)mario_fortunes-livro.tex
 	pdflatex $(DSTDIR)mario_fortunes-livro.tex
 	pdflatex $(DSTDIR)mario_fortunes-livro.tex

=== debian/changelog ===
fortunes-mario (0.21-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Former repository where Vcs fields were pointing to was archived in 2020
    thus moving packaging to Salsa in Debian team
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * watch file standard 4 (routine-update)
  * Fix LaTeX build
    Closes: #1073475
  * d/copyright: review
  * Secure URI in Homepage

  [ Carlos Henrique Lima Melara ]
  * Take over maintainership.
    Closes: #847262, #1104828
  * debian/dirs: remove. Directories used are automagically created.
  * debian/gbp.conf: add default branches and sign-tags options.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Fri, 09 May 2025 16:38:30 -0300

fortunes-mario (0.21-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Converted livro.py to python3 (Closes: #945672).
  * Ship the actual book PDF instead of its build files.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Mon, 30 Dec 2019 14:20:57 +0200

fortunes-mario (0.21-1) unstable; urgency=medium

  * New upstream release.
      - Converted all files to UTF-8 (LP: #418971)
  * debian/control:
      - Add Vcs* fields.
      - Remove minor version of debhelper on Build-Depends field.
      - Update Policy to 3.9.6
      - Change Homepage address.
  * debian/copyright:
      - Update to copyright format 1.0.
  * debian/docs:
      - Remove duplicate entry (CREDITOS).
      - Remove not needed file LICENCA.
  * debian/gbp.conf:
      - Add gbp.conf (git-buildpackage).
  * debian/source/options:
      - Add tar-ignore fields.
  * debian/watch:
      - Add new extensions match.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Thu, 06 Aug 2015 14:44:06 -0300

=== debian/control ===
Source: fortunes-mario
Maintainer: Carlos Henrique Lima Melara <charlesmelara@riseup.net>
Uploaders: Fernando Ike de Oliveira <fike@midstorm.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               ghostscript,
               poppler-utils,
               psutils,
               python3,
               texlive-lang-portuguese,
               texlive-latex-extra
Build-Depends-Indep: fortune-mod
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/fortunes-mario
Vcs-Git: https://salsa.debian.org/debian/fortunes-mario.git
Homepage: https://github.com/fike/fortunes-mario

Package: fortunes-mario
Architecture: all
Depends: fortune-mod,
         ${misc:Depends}
Provides: fortune-cookie-db
Description: Fortunes files from Mario
 A fortune database for Portuguese speakers, gathered from Mario
 Domenech Goulart. It is the result of collecting cookies for a long
 time to make a great database.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	rm -f *.dat
	cd livro && $(MAKE) clean

override_dh_auto_build:
	find -name "mario.*" -exec strfile {} \;
	cd livro && $(MAKE)

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.(?:bz2|gz|xz)/fortunes-mario-$1\.tar\.(?:bz2|gz|xz)/ \
  https://github.com/fike/fortunes-mario/tags .*/v?(\d\S*)\.tar\.(?:bz2|gz|xz)
